## AgsNotebook

AgsNotebook — selection widget

## Stability Level

Stable, unless otherwise indicated

## Functions

gint | ags_notebook_next_active_tab ()
GList * | ags_notebook_get_tab ()
void | ags_notebook_add_tab ()
void | ags_notebook_insert_tab ()
void | ags_notebook_remove_tab ()
AgsNotebook * | ags_notebook_new ()

## Properties

guint | tab-height | Read / Write
guint | tab-width | Read / Write

## Types and Values

#define | AGS_NOTEBOOK_TAB_DEFAULT_WIDTH
#define | AGS_NOTEBOOK_TAB_DEFAULT_HEIGHT

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkBox
                    ╰── AgsNotebook

## Includes

    #include <ags/widget/ags_notebook.h>

## Description

The AgsNotebook lets you select/deselect tabs and assign data to them.

## Functions

### ags_notebook_next_active_tab ()

    gint
    ags_notebook_next_active_tab (AgsNotebook *notebook,
                                  gint position);

Get next active tab following `position` .

#### Parameters

notebook | the AgsNotebook |
position | the position as integer |

#### Returns

the position of next active tab as integer

Since: 3.0.0

### ags_notebook_get_tab ()

    GList *
    ags_notebook_get_tab (AgsNotebook *notebook);

Get tab.

#### Parameters

notebook | the AgsNotebook |

#### Returns

the GList containing GtkToggleButton.

[element-type Gtk.ToggleButton][transfer container]

Since: 4.0.0

### ags_notebook_add_tab ()

    void
    ags_notebook_add_tab (AgsNotebook *notebook,
                          GtkToggleButton *tab);

Add `tab` to `notebook` .

#### Parameters

notebook | the AgsNotebook |
tab | the GtkToggleButton |

Since: 3.0.0

### ags_notebook_insert_tab ()

    void
    ags_notebook_insert_tab (AgsNotebook *notebook,
                             GtkToggleButton *tab,
                             gint position);

Insert a new AgsNotebookTab to `notebook` .

#### Parameters

notebook | the AgsNotebook |
tab | the GtkToggleButton |
position | the position as integer |

Since: 3.0.0

### ags_notebook_remove_tab ()

    void
    ags_notebook_remove_tab (AgsNotebook *notebook,
                             GtkToggleButton *tab);

Remove `tab` from `notebook` .

#### Parameters

notebook | the AgsNotebook |
tab | the GtkToggleButton |

Since: 3.0.0

### ags_notebook_new ()

    AgsNotebook *
    ags_notebook_new ();

Create a new AgsNotebook.

#### Returns

a new AgsNotebook

Since: 3.0.0

## Types and Values

### AGS_NOTEBOOK_TAB_DEFAULT_WIDTH

    #define AGS_NOTEBOOK_TAB_DEFAULT_WIDTH (100)

### AGS_NOTEBOOK_TAB_DEFAULT_HEIGHT

    #define AGS_NOTEBOOK_TAB_DEFAULT_HEIGHT (32)

## Property Details

### The `“tab-height”` property

      “tab-height”               guint

The tab's height.

Owner: AgsNotebook

Flags: Read / Write

Default value: 32

Since: 4.0.0

### The `“tab-width”` property

      “tab-width”                guint

The tab's width.

Owner: AgsNotebook

Flags: Read / Write

Default value: 100

Since: 4.0.0